libmwaw_applepict1::Bitmap Struct Reference

Internal and low level: a class used to read pack/unpack black-white bitmap. More...

## Public Member Functions

| Bitmap ()
bool | read (MWAWInputStream &input, bool packed, bool hasRegion)
| tries to read a bitmap
bool | saveBitmap () const
| saves the bitmap in file (debugging function)
bool | unpackedData (unsigned char const *pData, int sz)
| creates the bitmap from the packdata
bool | readBitmapData (MWAWInputStream &input, bool packed)
| parses the bitmap data zone

## Public Attributes

int | m_rowBytes
| the num of bytes used to store a row
MWAWBox2i | m_rect
| the bitmap rectangle
MWAWBox2i | m_src
| the initial dimension
MWAWBox2i | m_dst
| another final dimension
std::shared_ptr< Region > | m_region
| the region
std::vector< unsigned char > | m_bitmap
| the bitmap
int | m_mode
| the encoding mode ?

## Friends

std::ostream & | operator<< (std::ostream &o, Bitmap const &f)
| operator<< for Bitmap

## Detailed Description

Internal and low level: a class used to read pack/unpack black-white bitmap.

## Constructor & Destructor Documentation

## Bitmap()

libmwaw_applepict1::Bitmap::Bitmap | ( |  | ) |

inline

Referenced by operator<<.

## Member Function Documentation

## read()

bool libmwaw_applepict1::Bitmap::read | ( | MWAWInputStream & | input,
|  | bool | packed,
|  | bool | hasRegion )

inline

tries to read a bitmap

## readBitmapData()

bool libmwaw_applepict1::Bitmap::readBitmapData | ( | MWAWInputStream & | input,
|  | bool | packed )

inline

parses the bitmap data zone

Referenced by read().

## saveBitmap()

bool libmwaw_applepict1::Bitmap::saveBitmap | ( |  | ) | const

inline

saves the bitmap in file (debugging function)

Referenced by operator<<.

## unpackedData()

bool libmwaw_applepict1::Bitmap::unpackedData | ( | unsigned char const * | pData,
|  | int | sz )

inline

creates the bitmap from the packdata

Referenced by readBitmapData().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Bitmap const & | f )

friend

operator<< for Bitmap

## Member Data Documentation

## m_bitmap

std::vector<unsigned char> libmwaw_applepict1::Bitmap::m_bitmap

the bitmap

Referenced by Bitmap(), readBitmapData(), saveBitmap(), and unpackedData().

## m_dst

MWAWBox2i libmwaw_applepict1::Bitmap::m_dst

another final dimension

Referenced by Bitmap(), operator<<, and read().

## m_mode

int libmwaw_applepict1::Bitmap::m_mode

the encoding mode ?

Referenced by Bitmap(), operator<<, and read().

## m_rect

MWAWBox2i libmwaw_applepict1::Bitmap::m_rect

the bitmap rectangle

Referenced by Bitmap(), operator<<, read(), readBitmapData(), and saveBitmap().

## m_region

std::shared_ptr<Region> libmwaw_applepict1::Bitmap::m_region

the region

Referenced by Bitmap(), operator<<, and read().

## m_rowBytes

int libmwaw_applepict1::Bitmap::m_rowBytes

the num of bytes used to store a row

Referenced by Bitmap(), operator<<, read(), readBitmapData(), saveBitmap(), and unpackedData().

## m_src

MWAWBox2i libmwaw_applepict1::Bitmap::m_src

the initial dimension

Referenced by Bitmap(), operator<<, and read().

The documentation for this struct was generated from the following file:

- MWAWPictMac.cxx